:root {
	font-family: serif;
	text-align: justify;
	hyphens: auto;
	counter-reset: toc-page;
}

@page {
	size: 6in 9in;
	margin: 70pt 60pt 70pt;
	counter-increment: none;
}

@page :left {
	@top-left {
		content: counter(page);
	}

	@top-right {
		content: string(root-title) " - " string(bookTitle);
	}
}

@page :right {
	@top-left {
		content: string(chapter-title, first-except);
	}

	@top-right {
		content: counter(page);
	}
}

@page :blank {
	@top-left {
		content: none;
	}

	@top-right {
		content: none;
	}
}

@page cover {
	size: 6.75in 9.75in;
	margin: 0;

	@top-left {
		content: none;
	}

	@top-right {
		content: none;
	}
}

@page title {
	@top-left {
		content: none;
	}

	@top-right {
		content: none;
	}
}

@page toc {
	counter-increment: toc-page;
}

@page toc:first {
	@top-right {
		content: none;
	}
}

@page toc:left {
	@top-left {
		content: counter(toc-page, upper-roman);
	}

	@top-right {
		content: string(root-title);
	}
}

@page toc:right {
	@top-left {
		content: string(chapter-title, first-except);
	}

	@top-right {
		content: counter(toc-page, upper-roman);
	}
}

@page chapter {
	counter-increment: page;
}

@page chapter:first {
	@top-left {
		content: none;
	}

	@top-right {
		content: none;
	}
}

.fig {
	page: cover;
	height: 100%;
}

.fig > img {
	height: 100%;
}

.title {
	page: title;
	break-before: right;
}

.toc {
	page: toc;
	break-before: right;
}

.toc a {
	color: inherit;
	text-decoration: inherit;
}

.toc a::after {
	content: leader(' .') target-counter(attr(href), page);
}

.toc > table {
	width: 100%;
}

.chapter {
	page: chapter;
	break-before: right;
	margin-top: 4em;
}

.chapter > h2:only-child {
	string-set: bookTitle content();
}

.chapter > h2 {
	string-set: chapter-title content();
}

h1, h2 {
	text-align: center;
	font-style: normal;
	font-weight: normal;
	line-height: 1.5;

}

h1, .chapter > h2 {
	text-transform: uppercase;
}

h1 {
	string-set: root-title content();
	font-size: 300%;
	margin-top: 0.6em;
	margin-bottom: 0.6em;
	letter-spacing: 0.12em;
	word-spacing: 0.2em;
	text-indent: 0;
}

h2 {
	font-size: 150%;
	margin-top: 2em;
	margin-bottom: 1em;
}

h2:only-child {
	string-set: bookTitle content();
}

h2 {
	string-set: chapter-title content();
}

p {
	text-indent: 1em;
	margin-top: 0.25em;
	margin-bottom: 0.25em
}

p.poem {
	text-indent: 0;
	margin-left: 10%;
	font-size: 90%;
	margin-top: 1em;
	margin-bottom: 1em
}

p.noindent {
	text-indent: 0;
}

/*
p.footnote {
	float: footnote;
	font-size: small;
}
*/

pre {
	font-style: italic;
	font-size: 90%;
	margin-left: 10%
}
